/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#pragma once

#include <rtl/ustring.hxx>

inline constexpr OUStringLiteral HID_FILEDLG_LINK_CB = u"SVT_HID_FILEDLG_LINK_CB";
inline constexpr OUStringLiteral HID_FILEDLG_PREVIEW_CB = u"SVT_HID_FILEDLG_PREVIEW_CB";
inline constexpr OUStringLiteral HID_FILEDLG_STANDARD = u"SVT_HID_FILEDLG_STANDARD";

// help ids for the different modi of the file picker dialog
inline constexpr OUStringLiteral HID_FILESAVE_LEVELUP = u"SVT_HID_FILESAVE_LEVELUP";
inline constexpr OUStringLiteral HID_FILESAVE_CREATEDIRECTORY = u"SVT_HID_FILESAVE_CREATEDIRECTORY";
inline constexpr OUStringLiteral HID_FILESAVE_FILEVIEW = u"SVT_HID_FILESAVE_FILEVIEW";
inline constexpr OUStringLiteral HID_FILESAVE_TEMPLATE = u"SVT_HID_FILESAVE_TEMPLATE";
inline constexpr OUStringLiteral HID_FILESAVE_FILEURL = u"SVT_HID_FILESAVE_FILEURL";
inline constexpr OUStringLiteral HID_FILESAVE_FILETYPE = u"SVT_HID_FILESAVE_FILETYPE";
inline constexpr OUStringLiteral HID_FILESAVE_DOSAVE = u"SVT_HID_FILESAVE_DOSAVE";
inline constexpr OUStringLiteral HID_FILESAVE_AUTOEXTENSION = u"SVT_HID_FILESAVE_AUTOEXTENSION";
inline constexpr OUStringLiteral HID_FILESAVE_SAVEWITHPASSWORD = u"SVT_HID_FILESAVE_SAVEWITHPASSWORD";
inline constexpr OUStringLiteral HID_FILESAVE_CUSTOMIZEFILTER = u"SVT_HID_FILESAVE_CUSTOMIZEFILTER";
inline constexpr OUStringLiteral HID_FILESAVE_SELECTION = u"SVT_HID_FILESAVE_SELECTION";
inline constexpr OUStringLiteral HID_FILESAVE_DIALOG = u"SVT_HID_FILESAVE_DIALOG";
inline constexpr OUStringLiteral HID_FILESAVE_DOPLAY = u"SVT_HID_FILESAVE_DOPLAY";

inline constexpr OUStringLiteral HID_FILEOPEN_LEVELUP = u"SVT_HID_FILEOPEN_LEVELUP";
inline constexpr OUStringLiteral HID_FILEOPEN_READONLY = u"SVT_HID_FILEOPEN_READONLY";
inline constexpr OUStringLiteral HID_FILEOPEN_VERSION = u"SVT_HID_FILEOPEN_VERSION";
inline constexpr OUStringLiteral HID_FILEOPEN_IMAGE_TEMPLATE = u"SVT_HID_FILEOPEN_IMAGE_TEMPLATE";
inline constexpr OUStringLiteral HID_FILEOPEN_IMAGE_ANCHOR = u"SVT_HID_FILEOPEN_IMAGE_ANCHOR";

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
