/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */
#pragma once

#include <rtl/ustring.hxx>

inline constexpr OUStringLiteral UID_RPT_PROP_FORMULA = u"REPORTDESIGN_UID_RPT_PROP_FORMULA";
inline constexpr OUStringLiteral UID_RPT_RPT_PROP_DLG_FONT_TYPE = u"REPORTDESIGN_UID_RPT_RPT_PROP_DLG_FONT_TYPE";
inline constexpr OUStringLiteral UID_RPT_RPT_PROP_DLG_AREA = u"REPORTDESIGN_UID_RPT_RPT_PROP_DLG_AREA";
inline constexpr OUStringLiteral UID_RPT_PROP_CHARTTYPE_DLG = u"REPORTDESIGN_UID_RPT_PROP_CHARTTYPE_DLG";
inline constexpr OUStringLiteral UID_RPT_PROP_DLG_LINKFIELDS = u"REPORTDESIGN_UID_RPT_PROP_DLG_LINKFIELDS";

#define UID_RPT_RPT_APP_VIEW                          "REPORTDESIGN_UID_RPT_RPT_APP_VIEW"
inline constexpr OUStringLiteral UID_RPT_REPORTWINDOW = u"REPORTDESIGN_UID_RPT_REPORTWINDOW";
inline constexpr OUStringLiteral HID_REPORTSECTION = u"REPORTDESIGN_HID_REPORTSECTION";
inline constexpr OUStringLiteral HID_RPT_FIELDEXPRESSION = u"REPORTDESIGN_HID_RPT_FIELDEXPRESSION";
inline constexpr OUStringLiteral HID_RPT_FIELD_SEL = u"REPORTDESIGN_HID_RPT_FIELD_SEL";
#define HID_RPT_FIELD_SEL_WIN                          "REPORTDESIGN_HID_RPT_FIELD_SEL_WIN"
inline constexpr OUStringLiteral HID_RPT_PROPDLG_TAB_GENERAL = u"REPORTDESIGN_HID_RPT_PROPDLG_TAB_GENERAL";
inline constexpr OUStringLiteral HID_RPT_PROPDLG_TAB_DATA = u"REPORTDESIGN_HID_RPT_PROPDLG_TAB_DATA";

inline constexpr OUStringLiteral HID_RPT_PROP_FORCENEWPAGE = u"REPORTDESIGN_HID_RPT_PROP_FORCENEWPAGE";
inline constexpr OUStringLiteral HID_RPT_PROP_NEWROWORCOL = u"REPORTDESIGN_HID_RPT_PROP_NEWROWORCOL";
inline constexpr OUStringLiteral HID_RPT_PROP_KEEPTOGETHER = u"REPORTDESIGN_HID_RPT_PROP_KEEPTOGETHER";
inline constexpr OUStringLiteral HID_RPT_PROP_CANGROW = u"REPORTDESIGN_HID_RPT_PROP_CANGROW";
inline constexpr OUStringLiteral HID_RPT_PROP_CANSHRINK = u"REPORTDESIGN_HID_RPT_PROP_CANSHRINK";
inline constexpr OUStringLiteral HID_RPT_PROP_REPEATSECTION = u"REPORTDESIGN_HID_RPT_PROP_REPEATSECTION";
inline constexpr OUStringLiteral HID_RPT_PROP_FORMULALIST = u"REPORTDESIGN_HID_RPT_PROP_FORMULALIST";
inline constexpr OUStringLiteral HID_RPT_PROP_SCOPE = u"REPORTDESIGN_HID_RPT_PROP_SCOPE";
inline constexpr OUStringLiteral HID_RPT_PROP_TYPE = u"REPORTDESIGN_HID_RPT_PROP_TYPE";
inline constexpr OUStringLiteral HID_RPT_PROP_MASTERFIELDS = u"REPORTDESIGN_HID_RPT_PROP_MASTERFIELDS";
inline constexpr OUStringLiteral HID_RPT_PROP_DETAILFIELDS = u"REPORTDESIGN_HID_RPT_PROP_DETAILFIELDS";
inline constexpr OUStringLiteral HID_RPT_PROP_AREA = u"REPORTDESIGN_HID_RPT_PROP_AREA";
inline constexpr OUStringLiteral HID_RPT_PROP_MIMETYPE = u"REPORTDESIGN_HID_RPT_PROP_MIMETYPE";
// free
// free
inline constexpr OUStringLiteral HID_RPT_PROP_PRINTREPEATEDVALUES = u"REPORTDESIGN_HID_RPT_PROP_PRINTREPEATEDVALUES";
inline constexpr OUStringLiteral HID_RPT_PROP_CONDITIONALPRINTEXPRESSION = u"REPORTDESIGN_HID_RPT_PROP_CONDITIONALPRINTEXPRESSION";
inline constexpr OUStringLiteral HID_RPT_PROP_VERTICALALIGN = u"REPORTDESIGN_HID_RPT_PROP_VERTICALALIGN";
inline constexpr OUStringLiteral HID_RPT_PROP_STARTNEWCOLUMN = u"REPORTDESIGN_HID_RPT_PROP_STARTNEWCOLUMN";
inline constexpr OUStringLiteral HID_RPT_PROP_RESETPAGENUMBER = u"REPORTDESIGN_HID_RPT_PROP_RESETPAGENUMBER";
inline constexpr OUStringLiteral HID_RPT_PROP_PARAADJUST = u"REPORTDESIGN_HID_RPT_PROP_PARAADJUST";
inline constexpr OUStringLiteral HID_RPT_PROP_PRINTWHENGROUPCHANGE = u"REPORTDESIGN_HID_RPT_PROP_PRINTWHENGROUPCHANGE";
inline constexpr OUStringLiteral HID_RPT_PROP_CHARTTYPE = u"REPORTDESIGN_HID_RPT_PROP_CHARTTYPE";
// free
// free
inline constexpr OUStringLiteral HID_RPT_PROP_VISIBLE = u"REPORTDESIGN_HID_RPT_PROP_VISIBLE";
inline constexpr OUStringLiteral HID_RPT_PROP_GROUPKEEPTOGETHER = u"REPORTDESIGN_HID_RPT_PROP_GROUPKEEPTOGETHER";
inline constexpr OUStringLiteral HID_RPT_PROP_PAGEHEADEROPTION = u"REPORTDESIGN_HID_RPT_PROP_PAGEHEADEROPTION";
inline constexpr OUStringLiteral HID_RPT_PROP_PAGEFOOTEROPTION = u"REPORTDESIGN_HID_RPT_PROP_PAGEFOOTEROPTION";
inline constexpr OUStringLiteral HID_RPT_PROP_PREVIEW_COUNT = u"REPORTDESIGN_HID_RPT_PROP_PREVIEW_COUNT";
inline constexpr OUStringLiteral HID_RPT_PROP_DATAFIELD = u"REPORTDESIGN_HID_RPT_PROP_DATAFIELD";
inline constexpr OUStringLiteral HID_RPT_PROP_BACKCOLOR = u"REPORTDESIGN_HID_RPT_PROP_BACKCOLOR";
inline constexpr OUStringLiteral HID_RPT_PROP_RPT_POSITIONX = u"REPORTDESIGN_HID_RPT_PROP_RPT_POSITIONX";
inline constexpr OUStringLiteral HID_RPT_PROP_RPT_POSITIONY = u"REPORTDESIGN_HID_RPT_PROP_RPT_POSITIONY";
inline constexpr OUStringLiteral HID_RPT_PROP_RPT_WIDTH = u"REPORTDESIGN_HID_RPT_PROP_RPT_WIDTH";
inline constexpr OUStringLiteral HID_RPT_PROP_RPT_HEIGHT = u"REPORTDESIGN_HID_RPT_PROP_RPT_HEIGHT";
inline constexpr OUStringLiteral HID_RPT_PROP_RPT_AUTOGROW = u"REPORTDESIGN_HID_RPT_PROP_RPT_AUTOGROW";
inline constexpr OUStringLiteral HID_RPT_PROP_DEEPTRAVERSING = u"REPORTDESIGN_HID_RPT_PROP_DEEPTRAVERSING";
inline constexpr OUStringLiteral HID_RPT_PROP_PREEVALUATED = u"REPORTDESIGN_HID_RPT_PROP_PREEVALUATED";
inline constexpr OUStringLiteral HID_REPORT_NAVIGATOR_TREE = u"REPORTDESIGN_HID_REPORT_NAVIGATOR_TREE";
inline constexpr OUStringLiteral HID_RPT_PROP_FORMULA = u"REPORTDESIGN_HID_RPT_PROP_FORMULA";
inline constexpr OUStringLiteral HID_RPT_PROP_INITIALFORMULA = u"REPORTDESIGN_HID_RPT_PROP_INITIALFORMULA";
inline constexpr OUStringLiteral HID_RPT_PROP_RPT_FONT = u"REPORTDESIGN_HID_RPT_PROP_RPT_FONT";
inline constexpr OUStringLiteral HID_RPT_PROP_PRESERVEIRI = u"REPORTDESIGN_HID_RPT_PROP_PRESERVEIRI";
inline constexpr OUStringLiteral HID_RPT_PROP_BACKTRANSPARENT = u"REPORTDESIGN_HID_RPT_PROP_BACKTRANSPARENT";
inline constexpr OUStringLiteral HID_RPT_PROP_CONTROLBACKGROUNDTRANSPARENT = u"REPORTDESIGN_HID_RPT_PROP_CONTROLBACKGROUNDTRANSPARENT";

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
