/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#ifndef OOX_TOKEN_PROPERTIES_HXX
#define OOX_TOKEN_PROPERTIES_HXX

#include <sal/types.h>

namespace oox {
const sal_Int32 PROP_AbsoluteName  = 0;
const sal_Int32 PROP_Action  = 1;
const sal_Int32 PROP_ActiveSplitRange  = 2;
const sal_Int32 PROP_ActiveTable  = 3;
const sal_Int32 PROP_Address  = 4;
const sal_Int32 PROP_Adjust  = 5;
const sal_Int32 PROP_AdjustContrast  = 6;
const sal_Int32 PROP_AdjustLuminance  = 7;
const sal_Int32 PROP_AdjustmentValues  = 8;
const sal_Int32 PROP_Align  = 9;
const sal_Int32 PROP_AnchorPosition  = 10;
const sal_Int32 PROP_AnchorType  = 11;
const sal_Int32 PROP_ApplyFormDesignMode  = 12;
const sal_Int32 PROP_AreaLinks  = 13;
const sal_Int32 PROP_ArrangeOrder  = 14;
const sal_Int32 PROP_Aspect  = 15;
const sal_Int32 PROP_AttachedAxisIndex  = 16;
const sal_Int32 PROP_AutoFilter  = 17;
const sal_Int32 PROP_AutoShowInfo  = 18;
const sal_Int32 PROP_Autocomplete  = 19;
const sal_Int32 PROP_BackColor  = 20;
const sal_Int32 PROP_BackColorTransparency  = 21;
const sal_Int32 PROP_BackGraphic  = 22;
const sal_Int32 PROP_BackGraphicLocation  = 23;
const sal_Int32 PROP_Background  = 24;
const sal_Int32 PROP_BackgroundColor  = 25;
const sal_Int32 PROP_BackgroundComplexColor  = 26;
const sal_Int32 PROP_BasicLibraries  = 27;
const sal_Int32 PROP_BlackDay  = 28;
const sal_Int32 PROP_BlockIncrement  = 29;
const sal_Int32 PROP_Border  = 30;
const sal_Int32 PROP_BorderColor  = 31;
const sal_Int32 PROP_BorderDashName  = 32;
const sal_Int32 PROP_BorderStyle  = 33;
const sal_Int32 PROP_BorderTransparency  = 34;
const sal_Int32 PROP_BorderWidth  = 35;
const sal_Int32 PROP_BottomBorder  = 36;
const sal_Int32 PROP_BottomBorderComplexColor  = 37;
const sal_Int32 PROP_BottomBorderDistance  = 38;
const sal_Int32 PROP_BottomMargin  = 39;
const sal_Int32 PROP_BuiltInUnit  = 40;
const sal_Int32 PROP_BulletChar  = 41;
const sal_Int32 PROP_BulletColor  = 42;
const sal_Int32 PROP_BulletFont  = 43;
const sal_Int32 PROP_BulletFontName  = 44;
const sal_Int32 PROP_BulletRelSize  = 45;
const sal_Int32 PROP_CLSID  = 46;
const sal_Int32 PROP_CalcAsShown  = 47;
const sal_Int32 PROP_CellBackColor  = 48;
const sal_Int32 PROP_CellProtection  = 49;
const sal_Int32 PROP_CellStyle  = 50;
const sal_Int32 PROP_CenterHorizontally  = 51;
const sal_Int32 PROP_CenterVertically  = 52;
const sal_Int32 PROP_Change  = 53;
const sal_Int32 PROP_CharBackColor  = 54;
const sal_Int32 PROP_CharBackgroundComplexColor  = 55;
const sal_Int32 PROP_CharCaseMap  = 56;
const sal_Int32 PROP_CharColor  = 57;
const sal_Int32 PROP_CharColorLumMod  = 58;
const sal_Int32 PROP_CharColorLumOff  = 59;
const sal_Int32 PROP_CharColorTheme  = 60;
const sal_Int32 PROP_CharColorTintOrShade  = 61;
const sal_Int32 PROP_CharComplexColor  = 62;
const sal_Int32 PROP_CharContoured  = 63;
const sal_Int32 PROP_CharEscapement  = 64;
const sal_Int32 PROP_CharEscapementHeight  = 65;
const sal_Int32 PROP_CharFontCharSet  = 66;
const sal_Int32 PROP_CharFontCharSetAsian  = 67;
const sal_Int32 PROP_CharFontCharSetComplex  = 68;
const sal_Int32 PROP_CharFontFamily  = 69;
const sal_Int32 PROP_CharFontFamilyAsian  = 70;
const sal_Int32 PROP_CharFontFamilyComplex  = 71;
const sal_Int32 PROP_CharFontName  = 72;
const sal_Int32 PROP_CharFontNameAsian  = 73;
const sal_Int32 PROP_CharFontNameComplex  = 74;
const sal_Int32 PROP_CharFontPitch  = 75;
const sal_Int32 PROP_CharFontPitchAsian  = 76;
const sal_Int32 PROP_CharFontPitchComplex  = 77;
const sal_Int32 PROP_CharHeight  = 78;
const sal_Int32 PROP_CharHeightAsian  = 79;
const sal_Int32 PROP_CharHeightComplex  = 80;
const sal_Int32 PROP_CharInteropGrabBag  = 81;
const sal_Int32 PROP_CharKerning  = 82;
const sal_Int32 PROP_CharLocale  = 83;
const sal_Int32 PROP_CharLocaleAsian  = 84;
const sal_Int32 PROP_CharLocaleComplex  = 85;
const sal_Int32 PROP_CharPosture  = 86;
const sal_Int32 PROP_CharPostureAsian  = 87;
const sal_Int32 PROP_CharPostureComplex  = 88;
const sal_Int32 PROP_CharShadowed  = 89;
const sal_Int32 PROP_CharStrikeout  = 90;
const sal_Int32 PROP_CharStyleName  = 91;
const sal_Int32 PROP_CharTransparence  = 92;
const sal_Int32 PROP_CharUnderline  = 93;
const sal_Int32 PROP_CharUnderlineColor  = 94;
const sal_Int32 PROP_CharUnderlineComplexColor  = 95;
const sal_Int32 PROP_CharUnderlineHasColor  = 96;
const sal_Int32 PROP_CharWeight  = 97;
const sal_Int32 PROP_CharWeightAsian  = 98;
const sal_Int32 PROP_CharWeightComplex  = 99;
const sal_Int32 PROP_CircleEndAngle  = 100;
const sal_Int32 PROP_CircleKind  = 101;
const sal_Int32 PROP_CircleStartAngle  = 102;
const sal_Int32 PROP_ClassId  = 103;
const sal_Int32 PROP_CodeName  = 104;
const sal_Int32 PROP_Color  = 105;
const sal_Int32 PROP_ColumnGrand  = 106;
const sal_Int32 PROP_ColumnLabelRanges  = 107;
const sal_Int32 PROP_CompileEnglish  = 108;
const sal_Int32 PROP_ConditionalFormat  = 109;
const sal_Int32 PROP_ConnectBars  = 110;
const sal_Int32 PROP_ContainsHeader  = 111;
const sal_Int32 PROP_Coordinates  = 112;
const sal_Int32 PROP_CopyBack  = 113;
const sal_Int32 PROP_CopyFormulas  = 114;
const sal_Int32 PROP_CopyOutputData  = 115;
const sal_Int32 PROP_CopyStyles  = 116;
const sal_Int32 PROP_CornerRadius  = 117;
const sal_Int32 PROP_CrossoverPosition  = 118;
const sal_Int32 PROP_CrossoverValue  = 119;
const sal_Int32 PROP_CursorPositionX  = 120;
const sal_Int32 PROP_CursorPositionY  = 121;
const sal_Int32 PROP_CurveName  = 122;
const sal_Int32 PROP_CurveStyle  = 123;
const sal_Int32 PROP_CustomLabelFields  = 124;
const sal_Int32 PROP_CustomLabelPosition  = 125;
const sal_Int32 PROP_CustomShapeGeometry  = 126;
const sal_Int32 PROP_D3DSceneAmbientColor  = 127;
const sal_Int32 PROP_D3DSceneLightColor2  = 128;
const sal_Int32 PROP_D3DSceneLightDirection2  = 129;
const sal_Int32 PROP_D3DSceneLightOn1  = 130;
const sal_Int32 PROP_D3DSceneLightOn2  = 131;
const sal_Int32 PROP_D3DScenePerspective  = 132;
const sal_Int32 PROP_D3DSceneShadeMode  = 133;
const sal_Int32 PROP_DDELinks  = 134;
const sal_Int32 PROP_DatabaseRanges  = 135;
const sal_Int32 PROP_Decoration  = 136;
const sal_Int32 PROP_DefaultScrollValue  = 137;
const sal_Int32 PROP_DefaultSpinValue  = 138;
const sal_Int32 PROP_DefaultState  = 139;
const sal_Int32 PROP_DefaultText  = 140;
const sal_Int32 PROP_DefaultValue  = 141;
const sal_Int32 PROP_DeletedLegendEntries  = 142;
const sal_Int32 PROP_DiagonalBLTR  = 143;
const sal_Int32 PROP_DiagonalTLBR  = 144;
const sal_Int32 PROP_DialogLibraries  = 145;
const sal_Int32 PROP_DisableComplexChartTypes  = 146;
const sal_Int32 PROP_DisableDataTableDialog  = 147;
const sal_Int32 PROP_DisplayLabels  = 148;
const sal_Int32 PROP_DisplayUnits  = 149;
const sal_Int32 PROP_DrillDownOnDoubleClick  = 150;
const sal_Int32 PROP_Dropdown  = 151;
const sal_Int32 PROP_Duration  = 152;
const sal_Int32 PROP_EchoChar  = 153;
const sal_Int32 PROP_EnableVisible  = 154;
const sal_Int32 PROP_Enabled  = 155;
const sal_Int32 PROP_EndPosition  = 156;
const sal_Int32 PROP_Equations  = 157;
const sal_Int32 PROP_ErrorAlertStyle  = 158;
const sal_Int32 PROP_ErrorBarStyle  = 159;
const sal_Int32 PROP_ErrorBarX  = 160;
const sal_Int32 PROP_ErrorBarY  = 161;
const sal_Int32 PROP_ErrorMessage  = 162;
const sal_Int32 PROP_ErrorTitle  = 163;
const sal_Int32 PROP_Expansion  = 164;
const sal_Int32 PROP_ExternalData  = 165;
const sal_Int32 PROP_ExternalDocLinks  = 166;
const sal_Int32 PROP_ExternalLinks  = 167;
const sal_Int32 PROP_ExtrapolateBackward  = 168;
const sal_Int32 PROP_ExtrapolateForward  = 169;
const sal_Int32 PROP_FileFormat  = 170;
const sal_Int32 PROP_FillBackground  = 171;
const sal_Int32 PROP_FillBitmap  = 172;
const sal_Int32 PROP_FillBitmapMode  = 173;
const sal_Int32 PROP_FillBitmapName  = 174;
const sal_Int32 PROP_FillBitmapPositionOffsetX  = 175;
const sal_Int32 PROP_FillBitmapPositionOffsetY  = 176;
const sal_Int32 PROP_FillBitmapRectanglePoint  = 177;
const sal_Int32 PROP_FillBitmapSizeX  = 178;
const sal_Int32 PROP_FillBitmapSizeY  = 179;
const sal_Int32 PROP_FillColor  = 180;
const sal_Int32 PROP_FillColorLumMod  = 181;
const sal_Int32 PROP_FillColorLumOff  = 182;
const sal_Int32 PROP_FillColorTheme  = 183;
const sal_Int32 PROP_FillComplexColor  = 184;
const sal_Int32 PROP_FillGradient  = 185;
const sal_Int32 PROP_FillGradientName  = 186;
const sal_Int32 PROP_FillHatch  = 187;
const sal_Int32 PROP_FillHatchName  = 188;
const sal_Int32 PROP_FillStyle  = 189;
const sal_Int32 PROP_FillTransparence  = 190;
const sal_Int32 PROP_FillTransparenceGradient  = 191;
const sal_Int32 PROP_FillTransparenceGradientName  = 192;
const sal_Int32 PROP_FillUseSlideBackground  = 193;
const sal_Int32 PROP_Filter  = 194;
const sal_Int32 PROP_FilterCriteriaSource  = 195;
const sal_Int32 PROP_FilterOptions  = 196;
const sal_Int32 PROP_FirstLineOffset  = 197;
const sal_Int32 PROP_FirstPageFooterContent  = 198;
const sal_Int32 PROP_FirstPageFooterIsShared  = 199;
const sal_Int32 PROP_FirstPageHeaderContent  = 200;
const sal_Int32 PROP_FirstPageHeaderIsShared  = 201;
const sal_Int32 PROP_FirstPageNumber  = 202;
const sal_Int32 PROP_FocusOnClick  = 203;
const sal_Int32 PROP_FontCharset  = 204;
const sal_Int32 PROP_FontHeight  = 205;
const sal_Int32 PROP_FontIndependentLineSpacing  = 206;
const sal_Int32 PROP_FontName  = 207;
const sal_Int32 PROP_FontSlant  = 208;
const sal_Int32 PROP_FontStrikeout  = 209;
const sal_Int32 PROP_FontUnderline  = 210;
const sal_Int32 PROP_FontWeight  = 211;
const sal_Int32 PROP_FooterBodyDistance  = 212;
const sal_Int32 PROP_FooterHeight  = 213;
const sal_Int32 PROP_FooterIsDynamicHeight  = 214;
const sal_Int32 PROP_FooterIsOn  = 215;
const sal_Int32 PROP_FooterIsShared  = 216;
const sal_Int32 PROP_ForceIntercept  = 217;
const sal_Int32 PROP_FormulaConvention  = 218;
const sal_Int32 PROP_FrameIsAutomaticHeight  = 219;
const sal_Int32 PROP_FromWordArt  = 220;
const sal_Int32 PROP_Function  = 221;
const sal_Int32 PROP_GapwidthSequence  = 222;
const sal_Int32 PROP_GenerateVbaEvents  = 223;
const sal_Int32 PROP_Geometry3D  = 224;
const sal_Int32 PROP_GlowEffect  = 225;
const sal_Int32 PROP_GlowEffectRadius  = 226;
const sal_Int32 PROP_GluePoints  = 227;
const sal_Int32 PROP_GradientName  = 228;
const sal_Int32 PROP_Graphic  = 229;
const sal_Int32 PROP_GraphicBitmap  = 230;
const sal_Int32 PROP_GraphicColorMode  = 231;
const sal_Int32 PROP_GraphicCrop  = 232;
const sal_Int32 PROP_GraphicSize  = 233;
const sal_Int32 PROP_GridColor  = 234;
const sal_Int32 PROP_GroupInfo  = 235;
const sal_Int32 PROP_GroupName  = 236;
const sal_Int32 PROP_HBorder  = 237;
const sal_Int32 PROP_HScroll  = 238;
const sal_Int32 PROP_Handles  = 239;
const sal_Int32 PROP_HasAutoShowInfo  = 240;
const sal_Int32 PROP_HasColumnRowHeaders  = 241;
const sal_Int32 PROP_HasHorizontalScrollBar  = 242;
const sal_Int32 PROP_HasLayoutInfo  = 243;
const sal_Int32 PROP_HasMainTitle  = 244;
const sal_Int32 PROP_HasReference  = 245;
const sal_Int32 PROP_HasSecondaryXAxisTitle  = 246;
const sal_Int32 PROP_HasSecondaryYAxisTitle  = 247;
const sal_Int32 PROP_HasSheetTabs  = 248;
const sal_Int32 PROP_HasSortInfo  = 249;
const sal_Int32 PROP_HasVerticalScrollBar  = 250;
const sal_Int32 PROP_HasXAxisTitle  = 251;
const sal_Int32 PROP_HasYAxisTitle  = 252;
const sal_Int32 PROP_HasZAxisTitle  = 253;
const sal_Int32 PROP_HatchName  = 254;
const sal_Int32 PROP_HeaderBodyDistance  = 255;
const sal_Int32 PROP_HeaderHeight  = 256;
const sal_Int32 PROP_HeaderIsDynamicHeight  = 257;
const sal_Int32 PROP_HeaderIsOn  = 258;
const sal_Int32 PROP_HeaderIsShared  = 259;
const sal_Int32 PROP_Height  = 260;
const sal_Int32 PROP_HelpText  = 261;
const sal_Int32 PROP_HideInactiveSelection  = 262;
const sal_Int32 PROP_HoriJustify  = 263;
const sal_Int32 PROP_HoriJustifyMethod  = 264;
const sal_Int32 PROP_HoriOrient  = 265;
const sal_Int32 PROP_HoriOrientPosition  = 266;
const sal_Int32 PROP_HoriOrientRelation  = 267;
const sal_Int32 PROP_HorizontalSplitMode  = 268;
const sal_Int32 PROP_HorizontalSplitPositionTwips  = 269;
const sal_Int32 PROP_HyperLinkURL  = 270;
const sal_Int32 PROP_Hyperlink  = 271;
const sal_Int32 PROP_IgnoreBlankCells  = 272;
const sal_Int32 PROP_IgnoreCase  = 273;
const sal_Int32 PROP_IgnoreLeadingSpaces  = 274;
const sal_Int32 PROP_ImagePosition  = 275;
const sal_Int32 PROP_IncludeHiddenCells  = 276;
const sal_Int32 PROP_InputMessage  = 277;
const sal_Int32 PROP_InputTitle  = 278;
const sal_Int32 PROP_InterceptValue  = 279;
const sal_Int32 PROP_IsActive  = 280;
const sal_Int32 PROP_IsAdjustHeightEnabled  = 281;
const sal_Int32 PROP_IsCaseSensitive  = 282;
const sal_Int32 PROP_IsCellBackgroundTransparent  = 283;
const sal_Int32 PROP_IsChangeReadOnlyEnabled  = 284;
const sal_Int32 PROP_IsDate  = 285;
const sal_Int32 PROP_IsExecuteLinkEnabled  = 286;
const sal_Int32 PROP_IsHidden  = 287;
const sal_Int32 PROP_IsIterationEnabled  = 288;
const sal_Int32 PROP_IsLandscape  = 289;
const sal_Int32 PROP_IsLoaded  = 290;
const sal_Int32 PROP_IsNumbering  = 291;
const sal_Int32 PROP_IsOutlineSymbolsSet  = 292;
const sal_Int32 PROP_IsPlaceholderDependent  = 293;
const sal_Int32 PROP_IsSharedFormula  = 294;
const sal_Int32 PROP_IsStartOfNewPage  = 295;
const sal_Int32 PROP_IsTextWrapped  = 296;
const sal_Int32 PROP_IsUndoEnabled  = 297;
const sal_Int32 PROP_IsVisible  = 298;
const sal_Int32 PROP_IterationCount  = 299;
const sal_Int32 PROP_IterationEpsilon  = 300;
const sal_Int32 PROP_Japanese  = 301;
const sal_Int32 PROP_Keys  = 302;
const sal_Int32 PROP_Label  = 303;
const sal_Int32 PROP_LabelBorderColor  = 304;
const sal_Int32 PROP_LabelBorderStyle  = 305;
const sal_Int32 PROP_LabelBorderWidth  = 306;
const sal_Int32 PROP_LabelFillBackground  = 307;
const sal_Int32 PROP_LabelFillColor  = 308;
const sal_Int32 PROP_LabelFillHatchName  = 309;
const sal_Int32 PROP_LabelFillStyle  = 310;
const sal_Int32 PROP_LabelPlacement  = 311;
const sal_Int32 PROP_LabelPosition  = 312;
const sal_Int32 PROP_LabelSeparator  = 313;
const sal_Int32 PROP_LayoutInfo  = 314;
const sal_Int32 PROP_LeftBorder  = 315;
const sal_Int32 PROP_LeftBorderComplexColor  = 316;
const sal_Int32 PROP_LeftBorderDistance  = 317;
const sal_Int32 PROP_LeftMargin  = 318;
const sal_Int32 PROP_LeftPageFooterContent  = 319;
const sal_Int32 PROP_LeftPageHeaderContent  = 320;
const sal_Int32 PROP_LegacyFragment  = 321;
const sal_Int32 PROP_LineCap  = 322;
const sal_Int32 PROP_LineColor  = 323;
const sal_Int32 PROP_LineComplexColor  = 324;
const sal_Int32 PROP_LineCount  = 325;
const sal_Int32 PROP_LineDash  = 326;
const sal_Int32 PROP_LineDashName  = 327;
const sal_Int32 PROP_LineEndCenter  = 328;
const sal_Int32 PROP_LineEndName  = 329;
const sal_Int32 PROP_LineEndWidth  = 330;
const sal_Int32 PROP_LineIncrement  = 331;
const sal_Int32 PROP_LineJoint  = 332;
const sal_Int32 PROP_LineStartCenter  = 333;
const sal_Int32 PROP_LineStartName  = 334;
const sal_Int32 PROP_LineStartWidth  = 335;
const sal_Int32 PROP_LineStyle  = 336;
const sal_Int32 PROP_LineTransparence  = 337;
const sal_Int32 PROP_LineWidth  = 338;
const sal_Int32 PROP_LinkNumberFormatToSource  = 339;
const sal_Int32 PROP_LinkURL  = 340;
const sal_Int32 PROP_LoadReadonly  = 341;
const sal_Int32 PROP_LookUpLabels  = 342;
const sal_Int32 PROP_MajorTickmarks  = 343;
const sal_Int32 PROP_MarkPosition  = 344;
const sal_Int32 PROP_MaxFieldCount  = 345;
const sal_Int32 PROP_MaxTextLen  = 346;
const sal_Int32 PROP_MediaType  = 347;
const sal_Int32 PROP_MediaURL  = 348;
const sal_Int32 PROP_MinorTickmarks  = 349;
const sal_Int32 PROP_MirroredX  = 350;
const sal_Int32 PROP_MirroredY  = 351;
const sal_Int32 PROP_MissingValueTreatment  = 352;
const sal_Int32 PROP_Model  = 353;
const sal_Int32 PROP_ModifyPasswordHash  = 354;
const sal_Int32 PROP_ModifyPasswordInfo  = 355;
const sal_Int32 PROP_MoveProtect  = 356;
const sal_Int32 PROP_MovingAveragePeriod  = 357;
const sal_Int32 PROP_MultiLine  = 358;
const sal_Int32 PROP_MultiPageValue  = 359;
const sal_Int32 PROP_MultiSelection  = 360;
const sal_Int32 PROP_Name  = 361;
const sal_Int32 PROP_NamedRanges  = 362;
const sal_Int32 PROP_NegativeError  = 363;
const sal_Int32 PROP_NullDate  = 364;
const sal_Int32 PROP_NumberFormat  = 365;
const sal_Int32 PROP_NumberingIsNumber  = 366;
const sal_Int32 PROP_NumberingLevel  = 367;
const sal_Int32 PROP_NumberingRules  = 368;
const sal_Int32 PROP_NumberingType  = 369;
const sal_Int32 PROP_Offset  = 370;
const sal_Int32 PROP_OpCodeMap  = 371;
const sal_Int32 PROP_Opaque  = 372;
const sal_Int32 PROP_Orientation  = 373;
const sal_Int32 PROP_Outline  = 374;
const sal_Int32 PROP_OutputPosition  = 375;
const sal_Int32 PROP_OverlapSequence  = 376;
const sal_Int32 PROP_Overlay  = 377;
const sal_Int32 PROP_PageScale  = 378;
const sal_Int32 PROP_PageStyle  = 379;
const sal_Int32 PROP_PageToggle  = 380;
const sal_Int32 PROP_PageViewZoomValue  = 381;
const sal_Int32 PROP_PaintTransparent  = 382;
const sal_Int32 PROP_ParaAdjust  = 383;
const sal_Int32 PROP_ParaBottomMargin  = 384;
const sal_Int32 PROP_ParaFirstLineIndent  = 385;
const sal_Int32 PROP_ParaIndent  = 386;
const sal_Int32 PROP_ParaIsHangingPunctuation  = 387;
const sal_Int32 PROP_ParaIsHyphenation  = 388;
const sal_Int32 PROP_ParaLeftMargin  = 389;
const sal_Int32 PROP_ParaLineSpacing  = 390;
const sal_Int32 PROP_ParaRightMargin  = 391;
const sal_Int32 PROP_ParaTabStopDefaultDistance  = 392;
const sal_Int32 PROP_ParaTabStops  = 393;
const sal_Int32 PROP_ParaTopMargin  = 394;
const sal_Int32 PROP_Path  = 395;
const sal_Int32 PROP_PercentageNumberFormat  = 396;
const sal_Int32 PROP_PersistName  = 397;
const sal_Int32 PROP_Perspective  = 398;
const sal_Int32 PROP_PolyPolygon  = 399;
const sal_Int32 PROP_PolyPolygonBezier  = 400;
const sal_Int32 PROP_PolygonKind  = 401;
const sal_Int32 PROP_PolynomialDegree  = 402;
const sal_Int32 PROP_Position  = 403;
const sal_Int32 PROP_PositionBottom  = 404;
const sal_Int32 PROP_PositionLeft  = 405;
const sal_Int32 PROP_PositionRight  = 406;
const sal_Int32 PROP_PositionTop  = 407;
const sal_Int32 PROP_PositionX  = 408;
const sal_Int32 PROP_PositionY  = 409;
const sal_Int32 PROP_PositiveError  = 410;
const sal_Int32 PROP_Prefix  = 411;
const sal_Int32 PROP_PresetTextWarp  = 412;
const sal_Int32 PROP_PrintAnnotations  = 413;
const sal_Int32 PROP_PrintBorder  = 414;
const sal_Int32 PROP_PrintDownFirst  = 415;
const sal_Int32 PROP_PrintGrid  = 416;
const sal_Int32 PROP_PrintHeaders  = 417;
const sal_Int32 PROP_Printable  = 418;
const sal_Int32 PROP_PrivateStream  = 419;
const sal_Int32 PROP_PrivateTempFileURL  = 420;
const sal_Int32 PROP_ProgressValueMax  = 421;
const sal_Int32 PROP_ProgressValueMin  = 422;
const sal_Int32 PROP_Protected  = 423;
const sal_Int32 PROP_RadiusRangeMaximum  = 424;
const sal_Int32 PROP_RadiusRangeMinimum  = 425;
const sal_Int32 PROP_RangeXMaximum  = 426;
const sal_Int32 PROP_RangeXMinimum  = 427;
const sal_Int32 PROP_RangeYMaximum  = 428;
const sal_Int32 PROP_RangeYMinimum  = 429;
const sal_Int32 PROP_ReadOnly  = 430;
const sal_Int32 PROP_RefAngle  = 431;
const sal_Int32 PROP_RefConventionChartOOXML  = 432;
const sal_Int32 PROP_RefR  = 433;
const sal_Int32 PROP_RefX  = 434;
const sal_Int32 PROP_RefY  = 435;
const sal_Int32 PROP_Reference  = 436;
const sal_Int32 PROP_ReferenceDevice  = 437;
const sal_Int32 PROP_ReferenceSheet  = 438;
const sal_Int32 PROP_RefreshPeriod  = 439;
const sal_Int32 PROP_RegularExpressions  = 440;
const sal_Int32 PROP_RelId  = 441;
const sal_Int32 PROP_RelativeHeight  = 442;
const sal_Int32 PROP_RelativeHorizontalTabbarWidth  = 443;
const sal_Int32 PROP_RelativePosition  = 444;
const sal_Int32 PROP_RelativeSize  = 445;
const sal_Int32 PROP_RelativeWidth  = 446;
const sal_Int32 PROP_Repeat  = 447;
const sal_Int32 PROP_RepeatDelay  = 448;
const sal_Int32 PROP_Representation  = 449;
const sal_Int32 PROP_RightAngledAxes  = 450;
const sal_Int32 PROP_RightBorder  = 451;
const sal_Int32 PROP_RightBorderComplexColor  = 452;
const sal_Int32 PROP_RightBorderDistance  = 453;
const sal_Int32 PROP_RightMargin  = 454;
const sal_Int32 PROP_RightPageFooterContent  = 455;
const sal_Int32 PROP_RightPageHeaderContent  = 456;
const sal_Int32 PROP_Role  = 457;
const sal_Int32 PROP_RotateAngle  = 458;
const sal_Int32 PROP_RotateReference  = 459;
const sal_Int32 PROP_RotationHorizontal  = 460;
const sal_Int32 PROP_RotationVertical  = 461;
const sal_Int32 PROP_RowGrand  = 462;
const sal_Int32 PROP_RowLabelRanges  = 463;
const sal_Int32 PROP_SaveOutputPosition  = 464;
const sal_Int32 PROP_ScaleMode  = 465;
const sal_Int32 PROP_ScaleToPages  = 466;
const sal_Int32 PROP_ScaleToPagesX  = 467;
const sal_Int32 PROP_ScaleToPagesY  = 468;
const sal_Int32 PROP_ScrollHeight  = 469;
const sal_Int32 PROP_ScrollLeft  = 470;
const sal_Int32 PROP_ScrollTop  = 471;
const sal_Int32 PROP_ScrollValue  = 472;
const sal_Int32 PROP_ScrollValueMax  = 473;
const sal_Int32 PROP_ScrollValueMin  = 474;
const sal_Int32 PROP_ScrollWidth  = 475;
const sal_Int32 PROP_Segments  = 476;
const sal_Int32 PROP_SelectedItems  = 477;
const sal_Int32 PROP_SelectedPage  = 478;
const sal_Int32 PROP_Shadow  = 479;
const sal_Int32 PROP_ShadowAlignment  = 480;
const sal_Int32 PROP_ShadowBlur  = 481;
const sal_Int32 PROP_ShadowColor  = 482;
const sal_Int32 PROP_ShadowFormat  = 483;
const sal_Int32 PROP_ShadowSizeX  = 484;
const sal_Int32 PROP_ShadowSizeY  = 485;
const sal_Int32 PROP_ShadowTransparence  = 486;
const sal_Int32 PROP_ShadowXDistance  = 487;
const sal_Int32 PROP_ShadowYDistance  = 488;
const sal_Int32 PROP_Show  = 489;
const sal_Int32 PROP_ShowBorder  = 490;
const sal_Int32 PROP_ShowCharts  = 491;
const sal_Int32 PROP_ShowCorrelationCoefficient  = 492;
const sal_Int32 PROP_ShowCustomLeaderLines  = 493;
const sal_Int32 PROP_ShowDetail  = 494;
const sal_Int32 PROP_ShowDrawing  = 495;
const sal_Int32 PROP_ShowEmpty  = 496;
const sal_Int32 PROP_ShowEquation  = 497;
const sal_Int32 PROP_ShowErrorMessage  = 498;
const sal_Int32 PROP_ShowFilterButton  = 499;
const sal_Int32 PROP_ShowFirst  = 500;
const sal_Int32 PROP_ShowFormulas  = 501;
const sal_Int32 PROP_ShowGrid  = 502;
const sal_Int32 PROP_ShowHighLow  = 503;
const sal_Int32 PROP_ShowInputMessage  = 504;
const sal_Int32 PROP_ShowLegendEntry  = 505;
const sal_Int32 PROP_ShowList  = 506;
const sal_Int32 PROP_ShowNegativeError  = 507;
const sal_Int32 PROP_ShowObjects  = 508;
const sal_Int32 PROP_ShowPageBreakPreview  = 509;
const sal_Int32 PROP_ShowPositiveError  = 510;
const sal_Int32 PROP_ShowZeroValues  = 511;
const sal_Int32 PROP_ShrinkToFit  = 512;
const sal_Int32 PROP_Size  = 513;
const sal_Int32 PROP_Size100thMM  = 514;
const sal_Int32 PROP_SizePixel  = 515;
const sal_Int32 PROP_SizeProtect  = 516;
const sal_Int32 PROP_SizeType  = 517;
const sal_Int32 PROP_SkipDuplicates  = 518;
const sal_Int32 PROP_SortInfo  = 519;
const sal_Int32 PROP_Sound  = 520;
const sal_Int32 PROP_SoundOn  = 521;
const sal_Int32 PROP_Speed  = 522;
const sal_Int32 PROP_Spin  = 523;
const sal_Int32 PROP_SpinIncrement  = 524;
const sal_Int32 PROP_SpinValue  = 525;
const sal_Int32 PROP_SpinValueMax  = 526;
const sal_Int32 PROP_SpinValueMin  = 527;
const sal_Int32 PROP_StackCharacters  = 528;
const sal_Int32 PROP_StackingDirection  = 529;
const sal_Int32 PROP_StartPosition  = 530;
const sal_Int32 PROP_StartWith  = 531;
const sal_Int32 PROP_StartingAngle  = 532;
const sal_Int32 PROP_State  = 533;
const sal_Int32 PROP_StringItemList  = 534;
const sal_Int32 PROP_SubViewSize  = 535;
const sal_Int32 PROP_Subtotals  = 536;
const sal_Int32 PROP_Suffix  = 537;
const sal_Int32 PROP_Surround  = 538;
const sal_Int32 PROP_SurroundContour  = 539;
const sal_Int32 PROP_SwapXAndYAxis  = 540;
const sal_Int32 PROP_Symbol  = 541;
const sal_Int32 PROP_SymbolColor  = 542;
const sal_Int32 PROP_TabColor  = 543;
const sal_Int32 PROP_TabIndex  = 544;
const sal_Int32 PROP_TableBorder  = 545;
const sal_Int32 PROP_TableLayout  = 546;
const sal_Int32 PROP_TableSelected  = 547;
const sal_Int32 PROP_Tables  = 548;
const sal_Int32 PROP_Tabstop  = 549;
const sal_Int32 PROP_Tag  = 550;
const sal_Int32 PROP_TargetFrame  = 551;
const sal_Int32 PROP_Text  = 552;
const sal_Int32 PROP_TextAutoGrowHeight  = 553;
const sal_Int32 PROP_TextBox  = 554;
const sal_Int32 PROP_TextBreak  = 555;
const sal_Int32 PROP_TextCameraZRotateAngle  = 556;
const sal_Int32 PROP_TextClipVerticalOverflow  = 557;
const sal_Int32 PROP_TextColor  = 558;
const sal_Int32 PROP_TextColumns  = 559;
const sal_Int32 PROP_TextContourFrame  = 560;
const sal_Int32 PROP_TextFitToSize  = 561;
const sal_Int32 PROP_TextFrames  = 562;
const sal_Int32 PROP_TextHorizontalAdjust  = 563;
const sal_Int32 PROP_TextLeftDistance  = 564;
const sal_Int32 PROP_TextLowerDistance  = 565;
const sal_Int32 PROP_TextOverlap  = 566;
const sal_Int32 PROP_TextPreRotateAngle  = 567;
const sal_Int32 PROP_TextRightDistance  = 568;
const sal_Int32 PROP_TextRotateAngle  = 569;
const sal_Int32 PROP_TextRotation  = 570;
const sal_Int32 PROP_TextUpperDistance  = 571;
const sal_Int32 PROP_TextVerticalAdjust  = 572;
const sal_Int32 PROP_TextWordWrap  = 573;
const sal_Int32 PROP_TextWritingMode  = 574;
const sal_Int32 PROP_Title  = 575;
const sal_Int32 PROP_Toggle  = 576;
const sal_Int32 PROP_TokenIndex  = 577;
const sal_Int32 PROP_TopBorder  = 578;
const sal_Int32 PROP_TopBorderComplexColor  = 579;
const sal_Int32 PROP_TopBorderDistance  = 580;
const sal_Int32 PROP_TopMargin  = 581;
const sal_Int32 PROP_TotalsRow  = 582;
const sal_Int32 PROP_Transformation  = 583;
const sal_Int32 PROP_TransitionDirection  = 584;
const sal_Int32 PROP_TransitionDuration  = 585;
const sal_Int32 PROP_TransitionFadeColor  = 586;
const sal_Int32 PROP_TransitionSubtype  = 587;
const sal_Int32 PROP_TransitionType  = 588;
const sal_Int32 PROP_Transparency  = 589;
const sal_Int32 PROP_TriState  = 590;
const sal_Int32 PROP_Type  = 591;
const sal_Int32 PROP_URL  = 592;
const sal_Int32 PROP_UnnamedDatabaseRanges  = 593;
const sal_Int32 PROP_Url  = 594;
const sal_Int32 PROP_UseFilterCriteriaSource  = 595;
const sal_Int32 PROP_UseRegularExpressions  = 596;
const sal_Int32 PROP_UseRings  = 597;
const sal_Int32 PROP_UseSelectedPage  = 598;
const sal_Int32 PROP_VBorder  = 599;
const sal_Int32 PROP_VScroll  = 600;
const sal_Int32 PROP_Validation  = 601;
const sal_Int32 PROP_Value  = 602;
const sal_Int32 PROP_VaryColorsByPoint  = 603;
const sal_Int32 PROP_VertJustify  = 604;
const sal_Int32 PROP_VertJustifyMethod  = 605;
const sal_Int32 PROP_VertOrient  = 606;
const sal_Int32 PROP_VertOrientPosition  = 607;
const sal_Int32 PROP_VertOrientRelation  = 608;
const sal_Int32 PROP_VerticalAlign  = 609;
const sal_Int32 PROP_VerticalSplitMode  = 610;
const sal_Int32 PROP_VerticalSplitPositionTwips  = 611;
const sal_Int32 PROP_ViewBox  = 612;
const sal_Int32 PROP_Visible  = 613;
const sal_Int32 PROP_VisibleFlag  = 614;
const sal_Int32 PROP_VisibleSize  = 615;
const sal_Int32 PROP_VisualArea  = 616;
const sal_Int32 PROP_VisualEffect  = 617;
const sal_Int32 PROP_Weight  = 618;
const sal_Int32 PROP_WhiteDay  = 619;
const sal_Int32 PROP_Width  = 620;
const sal_Int32 PROP_Wildcards  = 621;
const sal_Int32 PROP_WritingMode  = 622;
const sal_Int32 PROP_XLA1Representation  = 623;
const sal_Int32 PROP_ZoomType  = 624;
const sal_Int32 PROP_ZoomValue  = 625;
const sal_Int32 PROP_COUNT = 626;
const sal_Int32 PROP_INVALID = -1;



} // namespace oox

#endif
